package test;
import static org.junit.Assert.*;
import kadai.HandBuilder;
import kadai.Janken;
import kotae.Player;
import org.junit.Test;
public class JankenTest {
	@Test
	public void testPon() {
		HandBuilder hb = new HandBuilder0();
		Player[] dummy = {new Player("Dummy0"), new Player("Dummy1")};
		dummy[0].setTactics(new Tactics0(hb));
		dummy[1].setTactics(new Tactics0(hb));
		Janken j = new Janken(dummy[0], dummy[1]);
		assertEquals("Dummy0:	0 wins, 0 looses and 0 draws.",dummy[0].toString());
		assertEquals("Dummy1:	0 wins, 0 looses and 0 draws.",dummy[1].toString());
		j.pon();
		assertEquals("Dummy0:	0 wins, 0 looses and 1 draws.",dummy[0].toString());
		assertEquals("Dummy1:	0 wins, 0 looses and 1 draws.",dummy[1].toString());
	}
}
