package test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;
import kadai.Hand;
import kadai.Tactics;

public class TestTactics {
	public static void testGetHand(Tactics t) {
		Counter counter = new Counter();
		for(int i=0; i<10000; i++){
			Hand hand = t.getHand();
			counter.inc(hand);
		}
		int[] result = counter.toIntArray();
		assertEquals(0,result[0]);
		assertTrue(result[1]>3000);
		assertTrue(result[2]>3000);
		assertTrue(result[3]>3000);
	}
	public static void testHandBuilder(Tactics t) {
		for(int i=0; i<100; i++){
			assertEquals(1,t.getHand().getNum());
		}
		
	}
}
