package omake;
import kadai.Hand;
import kotae.MyHand;
public class DisplayMyHandTable {
	public static void main(String[] args) {
		Hand[] hand = initHand();
		printHeader(hand);
		for(Hand h : hand){
			printLine(h, hand);
		}
	}
	private static void printLine(Hand h, Hand[] hand) {
		System.out.print(h);
		for(Hand h2 : hand){
			System.out.print("\t"+h.wins(h2));
		}
		System.out.println();
	}
	private static void printHeader(Hand[] hand) {
		for(Hand h: hand){
			System.out.print("\t"+h);
		}
		System.out.println();
	}
	private static Hand[] initHand() {
		Hand[] hand;
		hand = new Hand[4];
		for(int i=0;i<4;i++){
			hand[i] = new MyHand(i);
		}
		return hand;
	}
}
