package test;

import static org.junit.Assert.*;
import kadai.HandBuilder;

public class HandBuilderTest {
	public static void examineGetHand(HandBuilder hb) {
		for(int i=0; i<4; i++){
		    assertEquals(i,hb.getHand(i).getNum());
		}
	}
	public static void examineSameness(HandBuilder hb) {
		for(int i=0; i<4; i++){
			assertSame(hb.getHand(i),hb.getHand(i));
		}
	}
	public static void examineEquivalence(HandBuilder hb) {
		for(int i=0; i<4; i++){
			assertEquals(hb.getHand(i),hb.getHand(i));
		}
	}
}
